> ## Documentation Index
> Fetch the complete documentation index at: https://docs.incident.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all custom fields for an organisation.



## OpenAPI

````yaml /openapi/tags/custom-fields-v2.json get /v2/custom_fields
openapi: 3.0.3
info:
  description: "This is the API reference for incident.io.\n\nIt documents available API endpoints, provides examples of how to use it, and\ninstructions around things like authentication and error handling.\n\nThe API is hosted at:\n\n- https://api.incident.io/\n\nAnd you will need to create an API key via your [incident.io\ndashboard](https://app.incident.io/settings/api-keys) to make requests.\n\n# Making requests\n\nHere are the key concepts required to make requests to the incident.io API.\n\n## Authentication\n\nFor all requests made to the incident.io API, you'll need an API key.\n\nTo create an API key, head to the incident dashboard and visit [API\nkeys](https://app.incident.io/settings/api-keys). When you create the key, you'll be able to choose what actions it\ncan take for your account: choose carefully, as those roles can only be set\nwhen you first create the key. We'll only show you the token once, so make sure\nyou store it somewhere safe.\n\nAPI keys are global to your incident.io account, and can be managed by anyone\nwho has the right permissions. We display the user that created the API key,\nand the API key will remain valid if that user becomes deactivated.\n\nOnce you have the key, you should make requests to the API that set the\n`Authorization` request header using a \"Bearer\" authentication scheme:\n\n```\nAuthorization: Bearer <YOUR_API_KEY>\n```\n\n## Rate Limits\n\nThe incident.io API enforces rate limits to ensure consistent performance for all users.\n\nThe default rate limit is 1200 requests/minute per API key. This limit applies to most endpoints across the API.\n\nSome endpoints have lower rate limits, particularly those that interact with external third-party systems that impose\ntheir own limitations. These specific limits vary by endpoint, and we recommend relying on the rate-limit error\nresponses to understand usage patterns and implement appropriate retry strategies.\n\nWhen you exceed a rate limit, the API will respond with a `429 Too Many Requests` status code, along with a JSON\nresponse that includes information about the limit and when you can retry:\n\n```json\n{\n    \"type\": \"too_many_requests\",\n    \"status\": 429,\n    \"request_id\": \"b839a403-7704-41c1-bf6a-39a2d68caefa\",\n    \"rate_limit\": {\n        \"name\": \"api_key_name\",\n        \"limit\": 1200,\n        \"remaining\": 0,\n        \"retry_after\": \"Thu, 17 Apr 2025 11:17:18 UTC\"\n    },\n    \"errors\": [\n        {\n            \"code\": \"too_many_requests\",\n            \"message\": \"Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.\"\n        }\n    ]\n}\n```\n\nThe response includes:\n* The name of the API key (`name`)\n* The bucket limit (`limit`)\n* The number of requests remaining (`remaining`)\n* When you can retry requests (`retry_after`)\n\n## Errors\n\nWe use standard HTTP response codes to indicate the status or failure of API\nrequests.\n\nThe API response body will be JSON, and contain more detailed information on the\nnature of the error.\n\nAn example error when a request is made without an API key:\n\n```json\n{\n  \"type\": \"authentication_error\",\n  \"status\": 401,\n  \"request_id\": \"8e3cc412-b49d-4957-9073-2c19d2c61804\",\n  \"errors\": [\n    {\n      \"code\": \"missing_authorization_material\",\n      \"message\": \"No authorization material provided in request\"\n    }\n  ]\n}\n```\n\nNote that the error:\n\n- Contains the HTTP status (`401`)\n- References the type of error (`authentication_error`)\n- Includes a `request_id` that can be provided to incident.io support to help\n\tdebug questions with your API request\n- Provides a list of individual errors, which go into detail about why the error\n\toccurred\n\nThe most common error will be a 422 Validation Error, which is returned when the\nrequest was rejected due to failing validations.\n\nThese errors look like this:\n\n```json\n{\n  \"type\": \"validation_error\",\n  \"status\": 422,\n  \"request_id\": \"631766c4-4afd-4803-997c-cd700928fa4b\",\n  \"errors\": [\n    {\n      \"code\": \"is_required\",\n      \"message\": \"A severity is required to open an incident\",\n      \"source\": {\n        \"field\": \"severity_id\"\n      }\n    }\n  ]\n}\n```\n\nThis error is caused by not providing a severity identifier, which should be at\nthe `severity_id` field of the request payload. Errors like these can be mapped to\nforms, should you be integrating with the API from a user-interface.\n\n## Compatibility\n\nWe won't make breaking changes to existing API services or endpoints, but will\nexpect integrators to upgrade themselves to the latest API endpoints within 3\nmonths of us deprecating the old service.\n\nWe will make changes that are considered backwards compatible, which include:\n\n- Adding new API endpoints and services\n- Adding new properties to responses from existing API endpoints\n- Reordering properties returned from existing API endpoints\n- Adding optional request parameters to existing API endpoints\n- Altering the format or length of IDs\n- Adding new values to enums\n\nIt is important that clients are robust to these changes, to ensure reliable\nintegrations.\n\nAs an example, if you are generating a client using an openapi-generator, ensure\nthe generated client is configured to support unknown enum values, often\nconfigured via the `enumUnknownDefaultCase` parameter.\n\nWhen breaking changes are unavoidable, we'll create a new service version on a\nseparate path, and run them in parallel.\n\nFor example:\n\n- https://api.incident.io/v1/incidents\n- https://api.incident.io/v2/incidents\n\nFor any questions, email support@incident.io.\n"
  title: incident.io
  version: 1.0.0
servers:
  - url: https://api.incident.io
security:
  - BearerAuth: []
tags:
  - description: >
      Manage custom fields.


      Custom fields are used to attach metadata to incidents, which you can use
      when searching

      for incidents in the dashboard, triggering workflows, building
      announcement rules or for

      your own data needs.


      Each field has a type:


      - Single-select, single value selected from a predefined list of options
      (e.g. Detection Method)

      - Multi-select, as above but you can pick more than one option (e.g.
      Affected Teams)

      - Text, freeform text field (e.g. Customer ID)

      - Link, link URL that is synced to Slack bookmarks on the incident channel
      (e.g. External Status Page)

      - Number, integer or fractional numbers (e.g. # Customers Affected)


      We may add more custom field types in the future - we'd love to hear any
      other types you'd like to use!
    name: Custom Fields V2
paths:
  /v2/custom_fields:
    get:
      tags:
        - Custom Fields V2
      summary: List
      description: List all custom fields for an organisation.
      operationId: Custom Fields V2_List
      responses:
        '200':
          content:
            application/json:
              example:
                custom_fields:
                  - catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    created_at: '2021-08-17T13:28:57.801578Z'
                    description: Which team is impacted by this issue
                    field_type: single_select
                    filter_by:
                      catalog_attribute_id: 01H2FW182TAH0NHEVBY34SCAK0
                      custom_field_id: 01H2FW182TAH0NHEVBY34SCAK0
                    group_by_catalog_attribute_id: 01FCNDV6P870EA6S7TK1DSYDG0
                    helptext_catalog_attribute_id: 01H2FW182TAH0NHEVBY34SCAK0
                    id: 01FCNDV6P870EA6S7TK1DSYDG0
                    name: Affected Team
                    updated_at: '2021-08-17T13:28:57.801578Z'
              schema:
                $ref: '#/components/schemas/CustomFieldsListResultV2'
          description: OK response.
components:
  schemas:
    CustomFieldsListResultV2:
      example:
        custom_fields:
          - catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
            created_at: '2021-08-17T13:28:57.801578Z'
            description: Which team is impacted by this issue
            field_type: single_select
            filter_by:
              catalog_attribute_id: 01H2FW182TAH0NHEVBY34SCAK0
              custom_field_id: 01H2FW182TAH0NHEVBY34SCAK0
            group_by_catalog_attribute_id: 01FCNDV6P870EA6S7TK1DSYDG0
            helptext_catalog_attribute_id: 01H2FW182TAH0NHEVBY34SCAK0
            id: 01FCNDV6P870EA6S7TK1DSYDG0
            name: Affected Team
            updated_at: '2021-08-17T13:28:57.801578Z'
      properties:
        custom_fields:
          example:
            - catalog_type_id: 01FCNDV6P870EA6S7TK1DSYDG0
              created_at: '2021-08-17T13:28:57.801578Z'
              description: Which team is impacted by this issue
              field_type: single_select
              filter_by:
                catalog_attribute_id: 01H2FW182TAH0NHEVBY34SCAK0
                custom_field_id: 01H2FW182TAH0NHEVBY34SCAK0
              group_by_catalog_attribute_id: 01FCNDV6P870EA6S7TK1DSYDG0
              helptext_catalog_attribute_id: 01H2FW182TAH0NHEVBY34SCAK0
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Affected Team
              updated_at: '2021-08-17T13:28:57.801578Z'
          items:
            $ref: '#/components/schemas/CustomFieldV2'
          type: array
      required:
        - custom_fields
      type: object
    CustomFieldV2:
      properties:
        catalog_type_id:
          description: For catalog fields, the ID of the associated catalog type
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        created_at:
          description: When the action was created
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        description:
          description: Description of the custom field
          example: Which team is impacted by this issue
          type: string
        field_type:
          description: Type of custom field
          enum:
            - single_select
            - multi_select
            - text
            - link
            - numeric
          example: single_select
          type: string
        filter_by:
          $ref: '#/components/schemas/CustomFieldFilterByOptionsV2'
        group_by_catalog_attribute_id:
          description: >-
            For catalog fields, the ID of the attribute used to group catalog
            entries (if applicable)
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        helptext_catalog_attribute_id:
          description: Which catalog attribute provides helptext for the options
          example: 01H2FW182TAH0NHEVBY34SCAK0
          type: string
        id:
          description: Unique identifier for the custom field
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Human readable name for the custom field
          example: Affected Team
          maxLength: 50
          type: string
        updated_at:
          description: When the action was last updated
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - id
        - name
        - description
        - field_type
        - created_at
        - updated_at
      type: object
    CustomFieldFilterByOptionsV2:
      example:
        catalog_attribute_id: 01H2FW182TAH0NHEVBY34SCAK0
        custom_field_id: 01H2FW182TAH0NHEVBY34SCAK0
      properties:
        catalog_attribute_id:
          description: >-
            This must be an attribute of the catalog type of this custom field.
            It must be an attribute that points to another catalog type (so not
            a plain string, number, or boolean attribute).
          example: 01H2FW182TAH0NHEVBY34SCAK0
          type: string
        custom_field_id:
          description: >-
            This must be the ID of a custom field, which must have values of the
            same type as the attribute you are filtering by.


            When this filtering field is set on an incident, the options for
            this custom field will be filtered to only those with the attribute
            value that matches the value of the filtering field.
          example: 01H2FW182TAH0NHEVBY34SCAK0
          type: string
      required:
        - custom_field_id
        - catalog_attribute_id
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key from your incident.io dashboard (Settings → API keys)

````